Makefile.in 30 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. bin_PROGRAMS = gen$(EXEEXT)
  75. subdir = src/apps
  76. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  77. $(top_srcdir)/depcomp $(top_srcdir)/test-driver
  78. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  79. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  80. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  81. $(ACLOCAL_M4)
  82. mkinstalldirs = $(install_sh) -d
  83. CONFIG_HEADER = $(top_builddir)/src/include/config.h
  84. CONFIG_CLEAN_FILES =
  85. CONFIG_CLEAN_VPATH_FILES =
  86. am__installdirs = "$(DESTDIR)$(bindir)"
  87. PROGRAMS = $(bin_PROGRAMS)
  88. am_gen_OBJECTS = gen.$(OBJEXT)
  89. gen_OBJECTS = $(am_gen_OBJECTS)
  90. gen_DEPENDENCIES =
  91. AM_V_P = $(am__v_P_@AM_V@)
  92. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  93. am__v_P_0 = false
  94. am__v_P_1 = :
  95. AM_V_GEN = $(am__v_GEN_@AM_V@)
  96. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  97. am__v_GEN_0 = @echo " GEN " $@;
  98. am__v_GEN_1 =
  99. AM_V_at = $(am__v_at_@AM_V@)
  100. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  101. am__v_at_0 = @
  102. am__v_at_1 =
  103. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src/include
  104. depcomp = $(SHELL) $(top_srcdir)/depcomp
  105. am__depfiles_maybe = depfiles
  106. am__mv = mv -f
  107. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  108. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  109. AM_V_CC = $(am__v_CC_@AM_V@)
  110. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  111. am__v_CC_0 = @echo " CC " $@;
  112. am__v_CC_1 =
  113. CCLD = $(CC)
  114. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  115. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  116. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  117. am__v_CCLD_0 = @echo " CCLD " $@;
  118. am__v_CCLD_1 =
  119. SOURCES = $(gen_SOURCES)
  120. DIST_SOURCES = $(gen_SOURCES)
  121. am__can_run_installinfo = \
  122. case $$AM_UPDATE_INFO_DIR in \
  123. n|no|NO) false;; \
  124. *) (install-info --version) >/dev/null 2>&1;; \
  125. esac
  126. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  127. # Read a list of newline-separated strings from the standard input,
  128. # and print each of them once, without duplicates. Input order is
  129. # *not* preserved.
  130. am__uniquify_input = $(AWK) '\
  131. BEGIN { nonempty = 0; } \
  132. { items[$$0] = 1; nonempty = 1; } \
  133. END { if (nonempty) { for (i in items) print i; }; } \
  134. '
  135. # Make sure the list of sources is unique. This is necessary because,
  136. # e.g., the same source file might be shared among _SOURCES variables
  137. # for different programs/libraries.
  138. am__define_uniq_tagged_files = \
  139. list='$(am__tagged_files)'; \
  140. unique=`for i in $$list; do \
  141. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  142. done | $(am__uniquify_input)`
  143. ETAGS = etags
  144. CTAGS = ctags
  145. am__tty_colors_dummy = \
  146. mgn= red= grn= lgn= blu= brg= std=; \
  147. am__color_tests=no
  148. am__tty_colors = { \
  149. $(am__tty_colors_dummy); \
  150. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  151. am__color_tests=no; \
  152. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  153. am__color_tests=yes; \
  154. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  155. am__color_tests=yes; \
  156. fi; \
  157. if test $$am__color_tests = yes; then \
  158. red=''; \
  159. grn=''; \
  160. lgn=''; \
  161. blu=''; \
  162. mgn=''; \
  163. brg=''; \
  164. std=''; \
  165. fi; \
  166. }
  167. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  168. am__vpath_adj = case $$p in \
  169. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  170. *) f=$$p;; \
  171. esac;
  172. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  173. am__install_max = 40
  174. am__nobase_strip_setup = \
  175. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  176. am__nobase_strip = \
  177. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  178. am__nobase_list = $(am__nobase_strip_setup); \
  179. for p in $$list; do echo "$$p $$p"; done | \
  180. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  181. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  182. if (++n[$$2] == $(am__install_max)) \
  183. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  184. END { for (dir in files) print dir, files[dir] }'
  185. am__base_list = \
  186. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  187. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  188. am__uninstall_files_from_dir = { \
  189. test -z "$$files" \
  190. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  191. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  192. $(am__cd) "$$dir" && rm -f $$files; }; \
  193. }
  194. am__recheck_rx = ^[ ]*:recheck:[ ]*
  195. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  196. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  197. # A command that, given a newline-separated list of test names on the
  198. # standard input, print the name of the tests that are to be re-run
  199. # upon "make recheck".
  200. am__list_recheck_tests = $(AWK) '{ \
  201. recheck = 1; \
  202. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  203. { \
  204. if (rc < 0) \
  205. { \
  206. if ((getline line2 < ($$0 ".log")) < 0) \
  207. recheck = 0; \
  208. break; \
  209. } \
  210. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  211. { \
  212. recheck = 0; \
  213. break; \
  214. } \
  215. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  216. { \
  217. break; \
  218. } \
  219. }; \
  220. if (recheck) \
  221. print $$0; \
  222. close ($$0 ".trs"); \
  223. close ($$0 ".log"); \
  224. }'
  225. # A command that, given a newline-separated list of test names on the
  226. # standard input, create the global log from their .trs and .log files.
  227. am__create_global_log = $(AWK) ' \
  228. function fatal(msg) \
  229. { \
  230. print "fatal: making $@: " msg | "cat >&2"; \
  231. exit 1; \
  232. } \
  233. function rst_section(header) \
  234. { \
  235. print header; \
  236. len = length(header); \
  237. for (i = 1; i <= len; i = i + 1) \
  238. printf "="; \
  239. printf "\n\n"; \
  240. } \
  241. { \
  242. copy_in_global_log = 1; \
  243. global_test_result = "RUN"; \
  244. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  245. { \
  246. if (rc < 0) \
  247. fatal("failed to read from " $$0 ".trs"); \
  248. if (line ~ /$(am__global_test_result_rx)/) \
  249. { \
  250. sub("$(am__global_test_result_rx)", "", line); \
  251. sub("[ ]*$$", "", line); \
  252. global_test_result = line; \
  253. } \
  254. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  255. copy_in_global_log = 0; \
  256. }; \
  257. if (copy_in_global_log) \
  258. { \
  259. rst_section(global_test_result ": " $$0); \
  260. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  261. { \
  262. if (rc < 0) \
  263. fatal("failed to read from " $$0 ".log"); \
  264. print line; \
  265. }; \
  266. printf "\n"; \
  267. }; \
  268. close ($$0 ".trs"); \
  269. close ($$0 ".log"); \
  270. }'
  271. # Restructured Text title.
  272. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  273. # Solaris 10 'make', and several other traditional 'make' implementations,
  274. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  275. # by disabling -e (using the XSI extension "set +e") if it's set.
  276. am__sh_e_setup = case $$- in *e*) set +e;; esac
  277. # Default flags passed to test drivers.
  278. am__common_driver_flags = \
  279. --color-tests "$$am__color_tests" \
  280. --enable-hard-errors "$$am__enable_hard_errors" \
  281. --expect-failure "$$am__expect_failure"
  282. # To be inserted before the command running the test. Creates the
  283. # directory for the log if needed. Stores in $dir the directory
  284. # containing $f, in $tst the test, in $log the log. Executes the
  285. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  286. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  287. # will run the test scripts (or their associated LOG_COMPILER, if
  288. # thy have one).
  289. am__check_pre = \
  290. $(am__sh_e_setup); \
  291. $(am__vpath_adj_setup) $(am__vpath_adj) \
  292. $(am__tty_colors); \
  293. srcdir=$(srcdir); export srcdir; \
  294. case "$@" in \
  295. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  296. *) am__odir=.;; \
  297. esac; \
  298. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  299. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  300. if test -f "./$$f"; then dir=./; \
  301. elif test -f "$$f"; then dir=; \
  302. else dir="$(srcdir)/"; fi; \
  303. tst=$$dir$$f; log='$@'; \
  304. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  305. am__enable_hard_errors=no; \
  306. else \
  307. am__enable_hard_errors=yes; \
  308. fi; \
  309. case " $(XFAIL_TESTS) " in \
  310. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  311. am__expect_failure=yes;; \
  312. *) \
  313. am__expect_failure=no;; \
  314. esac; \
  315. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  316. # A shell command to get the names of the tests scripts with any registered
  317. # extension removed (i.e., equivalently, the names of the test logs, with
  318. # the '.log' extension removed). The result is saved in the shell variable
  319. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  320. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  321. # since that might cause problem with VPATH rewrites for suffix-less tests.
  322. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  323. am__set_TESTS_bases = \
  324. bases='$(TEST_LOGS)'; \
  325. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  326. bases=`echo $$bases`
  327. RECHECK_LOGS = $(TEST_LOGS)
  328. AM_RECURSIVE_TARGETS = check recheck
  329. TEST_SUITE_LOG = test-suite.log
  330. TEST_EXTENSIONS = @EXEEXT@ .test
  331. am__test_logs1 = $(TESTS:=.log)
  332. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  333. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  334. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  335. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  336. $(TEST_LOG_FLAGS)
  337. am__set_b = \
  338. case '$@' in \
  339. */*) \
  340. case '$*' in \
  341. */*) b='$*';; \
  342. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  343. esac;; \
  344. *) \
  345. b='$*';; \
  346. esac
  347. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  348. ACLOCAL = @ACLOCAL@
  349. AMTAR = @AMTAR@
  350. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  351. AUTOCONF = @AUTOCONF@
  352. AUTOHEADER = @AUTOHEADER@
  353. AUTOMAKE = @AUTOMAKE@
  354. AWK = @AWK@
  355. CC = @CC@
  356. CCDEPMODE = @CCDEPMODE@
  357. CFLAGS = @CFLAGS@
  358. CPP = @CPP@
  359. CPPFLAGS = @CPPFLAGS@
  360. CYGPATH_W = @CYGPATH_W@
  361. DEFS = @DEFS@
  362. DEPDIR = @DEPDIR@
  363. ECHO_C = @ECHO_C@
  364. ECHO_N = @ECHO_N@
  365. ECHO_T = @ECHO_T@
  366. EGREP = @EGREP@
  367. EXEEXT = @EXEEXT@
  368. GREP = @GREP@
  369. INSTALL = @INSTALL@
  370. INSTALL_DATA = @INSTALL_DATA@
  371. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  372. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  373. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  374. LDFLAGS = @LDFLAGS@
  375. LIBOBJS = @LIBOBJS@
  376. LIBS = @LIBS@
  377. LTLIBOBJS = @LTLIBOBJS@
  378. MAKEINFO = @MAKEINFO@
  379. MKDIR_P = @MKDIR_P@
  380. OBJEXT = @OBJEXT@
  381. PACKAGE = @PACKAGE@
  382. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  383. PACKAGE_NAME = @PACKAGE_NAME@
  384. PACKAGE_STRING = @PACKAGE_STRING@
  385. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  386. PACKAGE_URL = @PACKAGE_URL@
  387. PACKAGE_VERSION = @PACKAGE_VERSION@
  388. PATH_SEPARATOR = @PATH_SEPARATOR@
  389. RANLIB = @RANLIB@
  390. SET_MAKE = @SET_MAKE@
  391. SHELL = @SHELL@
  392. STRIP = @STRIP@
  393. VERSION = @VERSION@
  394. abs_builddir = @abs_builddir@
  395. abs_srcdir = @abs_srcdir@
  396. abs_top_builddir = @abs_top_builddir@
  397. abs_top_srcdir = @abs_top_srcdir@
  398. ac_ct_CC = @ac_ct_CC@
  399. am__include = @am__include@
  400. am__leading_dot = @am__leading_dot@
  401. am__quote = @am__quote@
  402. am__tar = @am__tar@
  403. am__untar = @am__untar@
  404. bindir = @bindir@
  405. build_alias = @build_alias@
  406. builddir = @builddir@
  407. datadir = @datadir@
  408. datarootdir = @datarootdir@
  409. docdir = @docdir@
  410. dvidir = @dvidir@
  411. exec_prefix = @exec_prefix@
  412. host_alias = @host_alias@
  413. htmldir = @htmldir@
  414. includedir = @includedir@
  415. infodir = @infodir@
  416. install_sh = @install_sh@
  417. libdir = @libdir@
  418. libexecdir = @libexecdir@
  419. localedir = @localedir@
  420. localstatedir = @localstatedir@
  421. mandir = @mandir@
  422. mkdir_p = @mkdir_p@
  423. oldincludedir = @oldincludedir@
  424. pdfdir = @pdfdir@
  425. prefix = @prefix@
  426. program_transform_name = @program_transform_name@
  427. psdir = @psdir@
  428. sbindir = @sbindir@
  429. sharedstatedir = @sharedstatedir@
  430. srcdir = @srcdir@
  431. sysconfdir = @sysconfdir@
  432. target_alias = @target_alias@
  433. top_build_prefix = @top_build_prefix@
  434. top_builddir = @top_builddir@
  435. top_srcdir = @top_srcdir@
  436. gen_SOURCES = gen.c
  437. gen_LDADD = -lcrypto -lssl
  438. TESTS = tests/test_gen_pub.test \
  439. tests/test_gen_priv.test
  440. all: all-am
  441. .SUFFIXES:
  442. .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
  443. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  444. @for dep in $?; do \
  445. case '$(am__configure_deps)' in \
  446. *$$dep*) \
  447. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  448. && { if test -f $@; then exit 0; else break; fi; }; \
  449. exit 1;; \
  450. esac; \
  451. done; \
  452. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/apps/Makefile'; \
  453. $(am__cd) $(top_srcdir) && \
  454. $(AUTOMAKE) --gnu src/apps/Makefile
  455. .PRECIOUS: Makefile
  456. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  457. @case '$?' in \
  458. *config.status*) \
  459. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  460. *) \
  461. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  462. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  463. esac;
  464. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  465. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  466. $(top_srcdir)/configure: $(am__configure_deps)
  467. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  468. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  469. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  470. $(am__aclocal_m4_deps):
  471. install-binPROGRAMS: $(bin_PROGRAMS)
  472. @$(NORMAL_INSTALL)
  473. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  474. if test -n "$$list"; then \
  475. echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  476. $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  477. fi; \
  478. for p in $$list; do echo "$$p $$p"; done | \
  479. sed 's/$(EXEEXT)$$//' | \
  480. while read p p1; do if test -f $$p \
  481. ; then echo "$$p"; echo "$$p"; else :; fi; \
  482. done | \
  483. sed -e 'p;s,.*/,,;n;h' \
  484. -e 's|.*|.|' \
  485. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  486. sed 'N;N;N;s,\n, ,g' | \
  487. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  488. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  489. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  490. else { print "f", $$3 "/" $$4, $$1; } } \
  491. END { for (d in files) print "f", d, files[d] }' | \
  492. while read type dir files; do \
  493. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  494. test -z "$$files" || { \
  495. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  496. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  497. } \
  498. ; done
  499. uninstall-binPROGRAMS:
  500. @$(NORMAL_UNINSTALL)
  501. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  502. files=`for p in $$list; do echo "$$p"; done | \
  503. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  504. -e 's/$$/$(EXEEXT)/' \
  505. `; \
  506. test -n "$$list" || exit 0; \
  507. echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  508. cd "$(DESTDIR)$(bindir)" && rm -f $$files
  509. clean-binPROGRAMS:
  510. -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  511. gen$(EXEEXT): $(gen_OBJECTS) $(gen_DEPENDENCIES) $(EXTRA_gen_DEPENDENCIES)
  512. @rm -f gen$(EXEEXT)
  513. $(AM_V_CCLD)$(LINK) $(gen_OBJECTS) $(gen_LDADD) $(LIBS)
  514. mostlyclean-compile:
  515. -rm -f *.$(OBJEXT)
  516. distclean-compile:
  517. -rm -f *.tab.c
  518. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen.Po@am__quote@
  519. .c.o:
  520. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  521. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  522. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  523. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  524. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  525. .c.obj:
  526. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  527. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  528. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  529. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  530. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  531. ID: $(am__tagged_files)
  532. $(am__define_uniq_tagged_files); mkid -fID $$unique
  533. tags: tags-am
  534. TAGS: tags
  535. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  536. set x; \
  537. here=`pwd`; \
  538. $(am__define_uniq_tagged_files); \
  539. shift; \
  540. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  541. test -n "$$unique" || unique=$$empty_fix; \
  542. if test $$# -gt 0; then \
  543. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  544. "$$@" $$unique; \
  545. else \
  546. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  547. $$unique; \
  548. fi; \
  549. fi
  550. ctags: ctags-am
  551. CTAGS: ctags
  552. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  553. $(am__define_uniq_tagged_files); \
  554. test -z "$(CTAGS_ARGS)$$unique" \
  555. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  556. $$unique
  557. GTAGS:
  558. here=`$(am__cd) $(top_builddir) && pwd` \
  559. && $(am__cd) $(top_srcdir) \
  560. && gtags -i $(GTAGS_ARGS) "$$here"
  561. cscopelist: cscopelist-am
  562. cscopelist-am: $(am__tagged_files)
  563. list='$(am__tagged_files)'; \
  564. case "$(srcdir)" in \
  565. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  566. *) sdir=$(subdir)/$(srcdir) ;; \
  567. esac; \
  568. for i in $$list; do \
  569. if test -f "$$i"; then \
  570. echo "$(subdir)/$$i"; \
  571. else \
  572. echo "$$sdir/$$i"; \
  573. fi; \
  574. done >> $(top_builddir)/cscope.files
  575. distclean-tags:
  576. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  577. # Recover from deleted '.trs' file; this should ensure that
  578. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  579. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  580. # to avoid problems with "make -n".
  581. .log.trs:
  582. rm -f $< $@
  583. $(MAKE) $(AM_MAKEFLAGS) $<
  584. # Leading 'am--fnord' is there to ensure the list of targets does not
  585. # expand to empty, as could happen e.g. with make check TESTS=''.
  586. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  587. am--force-recheck:
  588. @:
  589. $(TEST_SUITE_LOG): $(TEST_LOGS)
  590. @$(am__set_TESTS_bases); \
  591. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  592. redo_bases=`for i in $$bases; do \
  593. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  594. done`; \
  595. if test -n "$$redo_bases"; then \
  596. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  597. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  598. if $(am__make_dryrun); then :; else \
  599. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  600. fi; \
  601. fi; \
  602. if test -n "$$am__remaking_logs"; then \
  603. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  604. "recursion detected" >&2; \
  605. else \
  606. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  607. fi; \
  608. if $(am__make_dryrun); then :; else \
  609. st=0; \
  610. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  611. for i in $$redo_bases; do \
  612. test -f $$i.trs && test -r $$i.trs \
  613. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  614. test -f $$i.log && test -r $$i.log \
  615. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  616. done; \
  617. test $$st -eq 0 || exit 1; \
  618. fi
  619. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  620. ws='[ ]'; \
  621. results=`for b in $$bases; do echo $$b.trs; done`; \
  622. test -n "$$results" || results=/dev/null; \
  623. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  624. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  625. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  626. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  627. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  628. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  629. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  630. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  631. success=true; \
  632. else \
  633. success=false; \
  634. fi; \
  635. br='==================='; br=$$br$$br$$br$$br; \
  636. result_count () \
  637. { \
  638. if test x"$$1" = x"--maybe-color"; then \
  639. maybe_colorize=yes; \
  640. elif test x"$$1" = x"--no-color"; then \
  641. maybe_colorize=no; \
  642. else \
  643. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  644. fi; \
  645. shift; \
  646. desc=$$1 count=$$2; \
  647. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  648. color_start=$$3 color_end=$$std; \
  649. else \
  650. color_start= color_end=; \
  651. fi; \
  652. echo "$${color_start}# $$desc $$count$${color_end}"; \
  653. }; \
  654. create_testsuite_report () \
  655. { \
  656. result_count $$1 "TOTAL:" $$all "$$brg"; \
  657. result_count $$1 "PASS: " $$pass "$$grn"; \
  658. result_count $$1 "SKIP: " $$skip "$$blu"; \
  659. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  660. result_count $$1 "FAIL: " $$fail "$$red"; \
  661. result_count $$1 "XPASS:" $$xpass "$$red"; \
  662. result_count $$1 "ERROR:" $$error "$$mgn"; \
  663. }; \
  664. { \
  665. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  666. $(am__rst_title); \
  667. create_testsuite_report --no-color; \
  668. echo; \
  669. echo ".. contents:: :depth: 2"; \
  670. echo; \
  671. for b in $$bases; do echo $$b; done \
  672. | $(am__create_global_log); \
  673. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  674. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  675. if $$success; then \
  676. col="$$grn"; \
  677. else \
  678. col="$$red"; \
  679. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  680. fi; \
  681. echo "$${col}$$br$${std}"; \
  682. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  683. echo "$${col}$$br$${std}"; \
  684. create_testsuite_report --maybe-color; \
  685. echo "$$col$$br$$std"; \
  686. if $$success; then :; else \
  687. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  688. if test -n "$(PACKAGE_BUGREPORT)"; then \
  689. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  690. fi; \
  691. echo "$$col$$br$$std"; \
  692. fi; \
  693. $$success || exit 1
  694. check-TESTS:
  695. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  696. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  697. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  698. @set +e; $(am__set_TESTS_bases); \
  699. log_list=`for i in $$bases; do echo $$i.log; done`; \
  700. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  701. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  702. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  703. exit $$?;
  704. recheck: all
  705. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  706. @set +e; $(am__set_TESTS_bases); \
  707. bases=`for i in $$bases; do echo $$i; done \
  708. | $(am__list_recheck_tests)` || exit 1; \
  709. log_list=`for i in $$bases; do echo $$i.log; done`; \
  710. log_list=`echo $$log_list`; \
  711. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  712. am__force_recheck=am--force-recheck \
  713. TEST_LOGS="$$log_list"; \
  714. exit $$?
  715. .test.log:
  716. @p='$<'; \
  717. $(am__set_b); \
  718. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  719. --log-file $$b.log --trs-file $$b.trs \
  720. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  721. "$$tst" $(AM_TESTS_FD_REDIRECT)
  722. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  723. @am__EXEEXT_TRUE@ @p='$<'; \
  724. @am__EXEEXT_TRUE@ $(am__set_b); \
  725. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  726. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  727. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  728. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  729. distdir: $(DISTFILES)
  730. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  731. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  732. list='$(DISTFILES)'; \
  733. dist_files=`for file in $$list; do echo $$file; done | \
  734. sed -e "s|^$$srcdirstrip/||;t" \
  735. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  736. case $$dist_files in \
  737. */*) $(MKDIR_P) `echo "$$dist_files" | \
  738. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  739. sort -u` ;; \
  740. esac; \
  741. for file in $$dist_files; do \
  742. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  743. if test -d $$d/$$file; then \
  744. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  745. if test -d "$(distdir)/$$file"; then \
  746. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  747. fi; \
  748. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  749. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  750. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  751. fi; \
  752. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  753. else \
  754. test -f "$(distdir)/$$file" \
  755. || cp -p $$d/$$file "$(distdir)/$$file" \
  756. || exit 1; \
  757. fi; \
  758. done
  759. check-am: all-am
  760. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  761. check: check-am
  762. all-am: Makefile $(PROGRAMS)
  763. installdirs:
  764. for dir in "$(DESTDIR)$(bindir)"; do \
  765. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  766. done
  767. install: install-am
  768. install-exec: install-exec-am
  769. install-data: install-data-am
  770. uninstall: uninstall-am
  771. install-am: all-am
  772. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  773. installcheck: installcheck-am
  774. install-strip:
  775. if test -z '$(STRIP)'; then \
  776. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  777. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  778. install; \
  779. else \
  780. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  781. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  782. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  783. fi
  784. mostlyclean-generic:
  785. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  786. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  787. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  788. clean-generic:
  789. distclean-generic:
  790. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  791. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  792. maintainer-clean-generic:
  793. @echo "This command is intended for maintainers to use"
  794. @echo "it deletes files that may require special tools to rebuild."
  795. clean: clean-am
  796. clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  797. distclean: distclean-am
  798. -rm -rf ./$(DEPDIR)
  799. -rm -f Makefile
  800. distclean-am: clean-am distclean-compile distclean-generic \
  801. distclean-tags
  802. dvi: dvi-am
  803. dvi-am:
  804. html: html-am
  805. html-am:
  806. info: info-am
  807. info-am:
  808. install-data-am:
  809. install-dvi: install-dvi-am
  810. install-dvi-am:
  811. install-exec-am: install-binPROGRAMS
  812. install-html: install-html-am
  813. install-html-am:
  814. install-info: install-info-am
  815. install-info-am:
  816. install-man:
  817. install-pdf: install-pdf-am
  818. install-pdf-am:
  819. install-ps: install-ps-am
  820. install-ps-am:
  821. installcheck-am:
  822. maintainer-clean: maintainer-clean-am
  823. -rm -rf ./$(DEPDIR)
  824. -rm -f Makefile
  825. maintainer-clean-am: distclean-am maintainer-clean-generic
  826. mostlyclean: mostlyclean-am
  827. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  828. pdf: pdf-am
  829. pdf-am:
  830. ps: ps-am
  831. ps-am:
  832. uninstall-am: uninstall-binPROGRAMS
  833. .MAKE: check-am install-am install-strip
  834. .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
  835. clean-binPROGRAMS clean-generic cscopelist-am ctags ctags-am \
  836. distclean distclean-compile distclean-generic distclean-tags \
  837. distdir dvi dvi-am html html-am info info-am install \
  838. install-am install-binPROGRAMS install-data install-data-am \
  839. install-dvi install-dvi-am install-exec install-exec-am \
  840. install-html install-html-am install-info install-info-am \
  841. install-man install-pdf install-pdf-am install-ps \
  842. install-ps-am install-strip installcheck installcheck-am \
  843. installdirs maintainer-clean maintainer-clean-generic \
  844. mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
  845. ps ps-am recheck tags tags-am uninstall uninstall-am \
  846. uninstall-binPROGRAMS
  847. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  848. # Otherwise a system limit (for SysV at least) may be exceeded.
  849. .NOEXPORT: